Benvenuto!

Questo è il forum ufficiale dell'Associazione Odoo Italia. Dopo esserti registrato potrai partecipare ponendo domande o rispondendo a quelle esistenti. Non scordarti di compilare il tuo profilo e consultare le linee guida prima di iniziare a scrivere.

0

0
May
Il 22/06/22, 15:49

Ciao grazie per l'info.

Ho aggiornato la versione di python con la 3.9 (anche se non capisco come eliminare la versione precedente)

e ora quando invio il comando:

pip3 install git+https://github.com/OCA/openupgradelib/

mi torna questo errore


 File "/tmp/pip-jqwl9w_6-build/.eggs/setuptools_scm-7.0.2-py3.6.egg/setuptools_scm/__init__.py", line 5

        from __future__ import annotations

        ^

    SyntaxError: future feature annotations is not definedn


La tua risposta


0
Avatar

Alex Comba

--Alex Comba--
1505
| 2 0 5
Torino, Italia
--Alex Comba--

Laureato in Matematica all'Università di Torino, FLOSS entusiasta, è tra i fondatori del LUG della sua città natale e nel 2007 fa dello sviluppo software il suo mestiere per approdare ad OpenERP nel 2012. Membro delegato Odoo Community Association, è altresì membro di diversi PSC all'interno della stessa associazione. Felice papà di due piccoli Ctrl+C Ctrl+V!

Alex Comba
Il 22/06/22, 14:34

Ciao,

penso che il problema sia dovuto al fatto che setuptools_scm-7.0.2 richiede Python >=3.7 e nella tua installazione Odoo hai una versione di Python antecedente.
Nel caso tu avessi Python 3.6 puoi installare https://pypi.org/project/setuptools-scm/6.4.2/


La tua risposta

Resta informato

Informazioni sulla comunità

Forum ufficiale dell'Associazione Odoo Italia Leggi le linee guida

Strumenti di richiesta

75 follower

Statistiche

Richiesta del: 22/06/22, 14:27
Vista: 60 volte
Ultimo aggiornamento: 22/06/22, 15:49